import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

/*
  props {
    role_key = "",
    state: "",
    check: boolean,
    page,
    pageSize,
    search : "filter"
    value: '',
  }
*/
export const provinceGetTotalStewardsService = createAsyncThunk(
  "PROVINCE_GET_TOTAL_STEWARDS_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get("main_steward_view/", {
        params: {
          ...d,
          role: getRoleFromUrl(),
        },
      });
      dispatch(LOADING_END());
      return { data: data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return {
        error:
          e.response?.data?.result ||
          e.response?.data ||
          "خطا در دریافت اطلاعات",
      };
    }
  }
);
